Skip to main content
POST
/
v1
/
orgs
/
{org_id}
/
mcp-servers
/
test
Test Mcp Server Inline
curl --request POST \
  --url https://api.letpiper.com/v1/orgs/{org_id}/mcp-servers/test \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "auth_type": "<string>",
  "auth_header_name": "<string>",
  "auth_token": "<string>",
  "tool_prefix": "<string>",
  "timeout_seconds": 30,
  "server_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "tools": [
    {
      "name": "<string>",
      "description": "<string>",
      "input_schema": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required

Body

application/json

Request schema for testing an MCP server connection with inline (unsaved) values.

url
string
required
Maximum string length: 2048
auth_type
string | null
Pattern: ^(bearer|header)$
auth_header_name
string | null
Maximum string length: 255
auth_token
string | null
Minimum string length: 1
tool_prefix
string | null
Maximum string length: 50
timeout_seconds
integer
default:30
Required range: 1 <= x <= 300
server_id
string<uuid> | null

Response

Successful Response

Response schema for testing an MCP server connection.

tools
McpToolInfo · object[]
required